package ist.palcom.resourceAddressing;

import ist.palcom.palcomthreads.Event;
import ist.palcom.resource.descriptor.Info;

public class AInfoEvent extends Event {

	private Info info;
	private boolean keep;

	public AInfoEvent(Info info, boolean keepInfo) {
		this.info = info;
		keep = keepInfo;
	}
	
	public Info getInfo() {
		return info;
	}

	public boolean infoShouldBeKept() {
		return keep;
	}
}
