package ist.palcom.discovery;

import ist.palcom.palcomthreads.Event;
import ist.palcom.resource.descriptor.LocalSID;
import ist.palcom.resource.descriptor.Selector;

public class SelectorEvent extends Event {
	
	private LocalSID localSID;
	
	private Selector selector;

	public SelectorEvent(LocalSID localSID, Selector selector) {
		this.localSID = localSID;
		this.selector = selector;
	}

	public LocalSID getLocalSID() {
		return localSID;
	}

	public Selector getSelector() {
		return selector;
	}
}
