package ist.palcom.discovery;

import ist.palcom.palcomthreads.Event;
import ist.palcom.resource.descriptor.LocalSID;
import ist.palcom.resource.descriptor.ServiceInstanceID;

public class ServiceInstanceIDEvent extends Event{
		
		private LocalSID localSID;
		
		private ServiceInstanceID instanceID;

		public ServiceInstanceIDEvent(LocalSID localSID, ServiceInstanceID instanceID) {
			this.localSID = localSID;
			this.instanceID = instanceID;
		}

		public LocalSID getLocalSID() {
			return localSID;
		}

		public ServiceInstanceID getServiceInstanceID() {
			return instanceID;
		}

}
